<template>
  <div class="Detail">
    <div class="header-top">
      <div class="titles">刘家村村规民约</div>

      <div class="titles-bottom">
        <span>类型：</span>
        <span>财务公开</span>
        <span class="to-left">浏览量：</span>
        <span>26</span>
      </div>
    </div>

    <div class="header-middle">
      <span class="contsnts">为了推进我村民主法治建设，维护社会稳定，促进经济发展，规范村民清洁乡村卫生行为，改善村容村貌，推进“生态乡村”建设，树立良好的民风、村风，创造安居乐业的社会环境，经全体村民代表讨论通过，制定本村规民约。</span>

      <img src="" alt="" />
    </div>
  </div>
</template>

<script>
export default {
  name: 'Detail',
  components: {},
  props: {},
  data() {
    return {
      data: [],
      id: '',
    }
  },
  computed: {},
  watch: {},
  onLoad(o) {
    this.id = o.id
    this.$dict.load('realityStatus').then(() => {
      // this.getDetail()
    })
  },
  mounted() {},
  methods: {
    getDetail() {
      this.$http.post(`/app/appvisitvondolence/queryDetailById?id=${this.id}`).then((res) => {
        if (res?.data) {
          this.data = res.data
          if (this.data.images) {
            this.data.images = JSON.parse(this.data.images || '[]')
          }
        }
      })
    },
  },
}
</script>

<style scoped lang="scss">
uni-page-body {
  height: 100%;
}
.Detail {
  height: 100%;
  padding: 0 32px;
  background: #fff;
  .header-top {
    padding: 40px 0 32px 0;
    .titles {
      font-size: 48px;
      font-weight: 600;
    }

    .titles-bottom {
      margin-top: 16px;
      font-size: 30px;
      color: #999999;
      .to-left {
        margin-left: 32px;
      }
    }
  }

  .header-middle {
    padding: 32px 0;
    .contsnts {
      font-size: 36px;
      line-height: 1.5;
      word-break: break-all;
    }
    img {
      margin-top: 30px;
      width: 686px;
      height: 486px;
    }
  }
}
</style>
